ompi/mpi/c/ Directory Reference.TH "ompi/mpi/c/ Directory Reference" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mpi/c/ Directory Reference \- 
.SS "Directories"

.in +1c
.ti -1c
.RI "directory \fBprofile\fP"
.br
.in -1c
.SS "Files"

.in +1c
.ti -1c
.RI "file \fBabort.c\fP"
.br
.ti -1c
.RI "file \fBaccumulate.c\fP"
.br
.ti -1c
.RI "file \fBadd_error_class.c\fP"
.br
.ti -1c
.RI "file \fBadd_error_code.c\fP"
.br
.ti -1c
.RI "file \fBadd_error_string.c\fP"
.br
.ti -1c
.RI "file \fBaddress.c\fP"
.br
.ti -1c
.RI "file \fBallgather.c\fP"
.br
.ti -1c
.RI "file \fBallgatherv.c\fP"
.br
.ti -1c
.RI "file \fBalloc_mem.c\fP"
.br
.ti -1c
.RI "file \fBallreduce.c\fP"
.br
.ti -1c
.RI "file \fBalltoall.c\fP"
.br
.ti -1c
.RI "file \fBalltoallv.c\fP"
.br
.ti -1c
.RI "file \fBalltoallw.c\fP"
.br
.ti -1c
.RI "file \fBattr_delete.c\fP"
.br
.ti -1c
.RI "file \fBattr_fn.c\fP"
.br
.ti -1c
.RI "file \fBattr_get.c\fP"
.br
.ti -1c
.RI "file \fBattr_put.c\fP"
.br
.ti -1c
.RI "file \fBbarrier.c\fP"
.br
.ti -1c
.RI "file \fBbcast.c\fP"
.br
.ti -1c
.RI "file \fBbindings.h\fP"
.br
.ti -1c
.RI "file \fBbsend.c\fP"
.br
.ti -1c
.RI "file \fBbsend_init.c\fP"
.br
.ti -1c
.RI "file \fBbuffer_attach.c\fP"
.br
.ti -1c
.RI "file \fBbuffer_detach.c\fP"
.br
.ti -1c
.RI "file \fBcancel.c\fP"
.br
.ti -1c
.RI "file \fBcart_coords.c\fP"
.br
.ti -1c
.RI "file \fBcart_create.c\fP"
.br
.ti -1c
.RI "file \fBcart_get.c\fP"
.br
.ti -1c
.RI "file \fBcart_map.c\fP"
.br
.ti -1c
.RI "file \fBcart_rank.c\fP"
.br
.ti -1c
.RI "file \fBcart_shift.c\fP"
.br
.ti -1c
.RI "file \fBcart_sub.c\fP"
.br
.ti -1c
.RI "file \fBcartdim_get.c\fP"
.br
.ti -1c
.RI "file \fBclose_port.c\fP"
.br
.ti -1c
.RI "file \fBcomm_accept.c\fP"
.br
.ti -1c
.RI "file \fBcomm_c2f.c\fP"
.br
.ti -1c
.RI "file \fBcomm_call_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBcomm_compare.c\fP"
.br
.ti -1c
.RI "file \fBcomm_connect.c\fP"
.br
.ti -1c
.RI "file \fBcomm_create.c\fP"
.br
.ti -1c
.RI "file \fBcomm_create_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBcomm_create_keyval.c\fP"
.br
.ti -1c
.RI "file \fBcomm_delete_attr.c\fP"
.br
.ti -1c
.RI "file \fBcomm_disconnect.c\fP"
.br
.ti -1c
.RI "file \fBcomm_dup.c\fP"
.br
.ti -1c
.RI "file \fBcomm_f2c.c\fP"
.br
.ti -1c
.RI "file \fBcomm_free.c\fP"
.br
.ti -1c
.RI "file \fBcomm_free_keyval.c\fP"
.br
.ti -1c
.RI "file \fBcomm_get_attr.c\fP"
.br
.ti -1c
.RI "file \fBcomm_get_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBcomm_get_name.c\fP"
.br
.ti -1c
.RI "file \fBcomm_get_parent.c\fP"
.br
.ti -1c
.RI "file \fBcomm_group.c\fP"
.br
.ti -1c
.RI "file \fBcomm_join.c\fP"
.br
.ti -1c
.RI "file \fBcomm_rank.c\fP"
.br
.ti -1c
.RI "file \fBcomm_remote_group.c\fP"
.br
.ti -1c
.RI "file \fBcomm_remote_size.c\fP"
.br
.ti -1c
.RI "file \fBcomm_set_attr.c\fP"
.br
.ti -1c
.RI "file \fBcomm_set_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBcomm_set_name.c\fP"
.br
.ti -1c
.RI "file \fBcomm_size.c\fP"
.br
.ti -1c
.RI "file \fBcomm_spawn.c\fP"
.br
.ti -1c
.RI "file \fBcomm_spawn_multiple.c\fP"
.br
.ti -1c
.RI "file \fBcomm_split.c\fP"
.br
.ti -1c
.RI "file \fBcomm_test_inter.c\fP"
.br
.ti -1c
.RI "file \fBdims_create.c\fP"
.br
.ti -1c
.RI "file \fBerrhandler_c2f.c\fP"
.br
.ti -1c
.RI "file \fBerrhandler_create.c\fP"
.br
.ti -1c
.RI "file \fBerrhandler_f2c.c\fP"
.br
.ti -1c
.RI "file \fBerrhandler_free.c\fP"
.br
.ti -1c
.RI "file \fBerrhandler_get.c\fP"
.br
.ti -1c
.RI "file \fBerrhandler_set.c\fP"
.br
.ti -1c
.RI "file \fBerror_class.c\fP"
.br
.ti -1c
.RI "file \fBerror_string.c\fP"
.br
.ti -1c
.RI "file \fBexscan.c\fP"
.br
.ti -1c
.RI "file \fBfile_c2f.c\fP"
.br
.ti -1c
.RI "file \fBfile_call_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBfile_close.c\fP"
.br
.ti -1c
.RI "file \fBfile_create_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBfile_delete.c\fP"
.br
.ti -1c
.RI "file \fBfile_f2c.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_amode.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_atomicity.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_byte_offset.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_group.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_info.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_position.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_position_shared.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_size.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_type_extent.c\fP"
.br
.ti -1c
.RI "file \fBfile_get_view.c\fP"
.br
.ti -1c
.RI "file \fBfile_iread.c\fP"
.br
.ti -1c
.RI "file \fBfile_iread_at.c\fP"
.br
.ti -1c
.RI "file \fBfile_iread_shared.c\fP"
.br
.ti -1c
.RI "file \fBfile_iwrite.c\fP"
.br
.ti -1c
.RI "file \fBfile_iwrite_at.c\fP"
.br
.ti -1c
.RI "file \fBfile_iwrite_shared.c\fP"
.br
.ti -1c
.RI "file \fBfile_open.c\fP"
.br
.ti -1c
.RI "file \fBfile_preallocate.c\fP"
.br
.ti -1c
.RI "file \fBfile_read.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_all.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_all_begin.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_all_end.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_at.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_at_all.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_at_all_begin.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_at_all_end.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_ordered.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_ordered_begin.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_ordered_end.c\fP"
.br
.ti -1c
.RI "file \fBfile_read_shared.c\fP"
.br
.ti -1c
.RI "file \fBfile_seek.c\fP"
.br
.ti -1c
.RI "file \fBfile_seek_shared.c\fP"
.br
.ti -1c
.RI "file \fBfile_set_atomicity.c\fP"
.br
.ti -1c
.RI "file \fBfile_set_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBfile_set_info.c\fP"
.br
.ti -1c
.RI "file \fBfile_set_size.c\fP"
.br
.ti -1c
.RI "file \fBfile_set_view.c\fP"
.br
.ti -1c
.RI "file \fBfile_sync.c\fP"
.br
.ti -1c
.RI "file \fBfile_write.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_all.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_all_begin.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_all_end.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_at.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_at_all.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_at_all_begin.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_at_all_end.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_ordered.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_ordered_begin.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_ordered_end.c\fP"
.br
.ti -1c
.RI "file \fBfile_write_shared.c\fP"
.br
.ti -1c
.RI "file \fBfinalize.c\fP"
.br
.ti -1c
.RI "file \fBfinalized.c\fP"
.br
.ti -1c
.RI "file \fBfree_mem.c\fP"
.br
.ti -1c
.RI "file \fBgather.c\fP"
.br
.ti -1c
.RI "file \fBgatherv.c\fP"
.br
.ti -1c
.RI "file \fBget.c\fP"
.br
.ti -1c
.RI "file \fBget_address.c\fP"
.br
.ti -1c
.RI "file \fBget_count.c\fP"
.br
.ti -1c
.RI "file \fBget_elements.c\fP"
.br
.ti -1c
.RI "file \fBget_processor_name.c\fP"
.br
.ti -1c
.RI "file \fBget_version.c\fP"
.br
.ti -1c
.RI "file \fBgraph_create.c\fP"
.br
.ti -1c
.RI "file \fBgraph_get.c\fP"
.br
.ti -1c
.RI "file \fBgraph_map.c\fP"
.br
.ti -1c
.RI "file \fBgraph_neighbors.c\fP"
.br
.ti -1c
.RI "file \fBgraph_neighbors_count.c\fP"
.br
.ti -1c
.RI "file \fBgraphdims_get.c\fP"
.br
.ti -1c
.RI "file \fBgrequest_complete.c\fP"
.br
.ti -1c
.RI "file \fBgrequest_start.c\fP"
.br
.ti -1c
.RI "file \fBgroup_c2f.c\fP"
.br
.ti -1c
.RI "file \fBgroup_compare.c\fP"
.br
.ti -1c
.RI "file \fBgroup_difference.c\fP"
.br
.ti -1c
.RI "file \fBgroup_excl.c\fP"
.br
.ti -1c
.RI "file \fBgroup_f2c.c\fP"
.br
.ti -1c
.RI "file \fBgroup_free.c\fP"
.br
.ti -1c
.RI "file \fBgroup_incl.c\fP"
.br
.ti -1c
.RI "file \fBgroup_intersection.c\fP"
.br
.ti -1c
.RI "file \fBgroup_range_excl.c\fP"
.br
.ti -1c
.RI "file \fBgroup_range_incl.c\fP"
.br
.ti -1c
.RI "file \fBgroup_rank.c\fP"
.br
.ti -1c
.RI "file \fBgroup_size.c\fP"
.br
.ti -1c
.RI "file \fBgroup_translate_ranks.c\fP"
.br
.ti -1c
.RI "file \fBgroup_union.c\fP"
.br
.ti -1c
.RI "file \fBibsend.c\fP"
.br
.ti -1c
.RI "file \fBinfo_c2f.c\fP"
.br
.ti -1c
.RI "file \fBinfo_create.c\fP"
.br
.ti -1c
.RI "file \fBinfo_delete.c\fP"
.br
.ti -1c
.RI "file \fBinfo_dup.c\fP"
.br
.ti -1c
.RI "file \fBinfo_f2c.c\fP"
.br
.ti -1c
.RI "file \fBinfo_free.c\fP"
.br
.ti -1c
.RI "file \fBinfo_get.c\fP"
.br
.ti -1c
.RI "file \fBinfo_get_nkeys.c\fP"
.br
.ti -1c
.RI "file \fBinfo_get_nthkey.c\fP"
.br
.ti -1c
.RI "file \fBinfo_get_valuelen.c\fP"
.br
.ti -1c
.RI "file \fBinfo_set.c\fP"
.br
.ti -1c
.RI "file \fBinit.c\fP"
.br
.ti -1c
.RI "file \fBinit_thread.c\fP"
.br
.ti -1c
.RI "file \fBinitialized.c\fP"
.br
.ti -1c
.RI "file \fBintercomm_create.c\fP"
.br
.ti -1c
.RI "file \fBintercomm_merge.c\fP"
.br
.ti -1c
.RI "file \fBiprobe.c\fP"
.br
.ti -1c
.RI "file \fBirecv.c\fP"
.br
.ti -1c
.RI "file \fBirsend.c\fP"
.br
.ti -1c
.RI "file \fBis_thread_main.c\fP"
.br
.ti -1c
.RI "file \fBisend.c\fP"
.br
.ti -1c
.RI "file \fBissend.c\fP"
.br
.ti -1c
.RI "file \fBkeyval_create.c\fP"
.br
.ti -1c
.RI "file \fBkeyval_free.c\fP"
.br
.ti -1c
.RI "file \fBlookup_name.c\fP"
.br
.ti -1c
.RI "file \fBop_c2f.c\fP"
.br
.ti -1c
.RI "file \fBop_create.c\fP"
.br
.ti -1c
.RI "file \fBop_f2c.c\fP"
.br
.ti -1c
.RI "file \fBop_free.c\fP"
.br
.ti -1c
.RI "file \fBopen_port.c\fP"
.br
.ti -1c
.RI "file \fBpack.c\fP"
.br
.ti -1c
.RI "file \fBpack_external.c\fP"
.br
.ti -1c
.RI "file \fBpack_external_size.c\fP"
.br
.ti -1c
.RI "file \fBpack_size.c\fP"
.br
.ti -1c
.RI "file \fBpcontrol.c\fP"
.br
.ti -1c
.RI "file \fBprobe.c\fP"
.br
.ti -1c
.RI "file \fBpublish_name.c\fP"
.br
.ti -1c
.RI "file \fBput.c\fP"
.br
.ti -1c
.RI "file \fBquery_thread.c\fP"
.br
.ti -1c
.RI "file \fBrecv.c\fP"
.br
.ti -1c
.RI "file \fBrecv_init.c\fP"
.br
.ti -1c
.RI "file \fBreduce.c\fP"
.br
.ti -1c
.RI "file \fBreduce_scatter.c\fP"
.br
.ti -1c
.RI "file \fBregister_datarep.c\fP"
.br
.ti -1c
.RI "file \fBrequest_c2f.c\fP"
.br
.ti -1c
.RI "file \fBrequest_f2c.c\fP"
.br
.ti -1c
.RI "file \fBrequest_free.c\fP"
.br
.ti -1c
.RI "file \fBrequest_get_status.c\fP"
.br
.ti -1c
.RI "file \fBrsend.c\fP"
.br
.ti -1c
.RI "file \fBrsend_init.c\fP"
.br
.ti -1c
.RI "file \fBscan.c\fP"
.br
.ti -1c
.RI "file \fBscatter.c\fP"
.br
.ti -1c
.RI "file \fBscatterv.c\fP"
.br
.ti -1c
.RI "file \fBsend.c\fP"
.br
.ti -1c
.RI "file \fBsend_init.c\fP"
.br
.ti -1c
.RI "file \fBsendrecv.c\fP"
.br
.ti -1c
.RI "file \fBsendrecv_replace.c\fP"
.br
.ti -1c
.RI "file \fBssend.c\fP"
.br
.ti -1c
.RI "file \fBssend_init.c\fP"
.br
.ti -1c
.RI "file \fBstart.c\fP"
.br
.ti -1c
.RI "file \fBstartall.c\fP"
.br
.ti -1c
.RI "file \fBstatus_c2f.c\fP"
.br
.ti -1c
.RI "file \fBstatus_f2c.c\fP"
.br
.ti -1c
.RI "file \fBstatus_set_cancelled.c\fP"
.br
.ti -1c
.RI "file \fBstatus_set_elements.c\fP"
.br
.ti -1c
.RI "file \fBtest.c\fP"
.br
.ti -1c
.RI "file \fBtest_cancelled.c\fP"
.br
.ti -1c
.RI "file \fBtestall.c\fP"
.br
.ti -1c
.RI "file \fBtestany.c\fP"
.br
.ti -1c
.RI "file \fBtestsome.c\fP"
.br
.ti -1c
.RI "file \fBtopo_test.c\fP"
.br
.ti -1c
.RI "file \fBtype_c2f.c\fP"
.br
.ti -1c
.RI "file \fBtype_commit.c\fP"
.br
.ti -1c
.RI "file \fBtype_contiguous.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_darray.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_f90_complex.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_f90_integer.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_f90_real.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_hindexed.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_hvector.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_indexed_block.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_keyval.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_resized.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_struct.c\fP"
.br
.ti -1c
.RI "file \fBtype_create_subarray.c\fP"
.br
.ti -1c
.RI "file \fBtype_delete_attr.c\fP"
.br
.ti -1c
.RI "file \fBtype_dup.c\fP"
.br
.ti -1c
.RI "file \fBtype_extent.c\fP"
.br
.ti -1c
.RI "file \fBtype_f2c.c\fP"
.br
.ti -1c
.RI "file \fBtype_free.c\fP"
.br
.ti -1c
.RI "file \fBtype_free_keyval.c\fP"
.br
.ti -1c
.RI "file \fBtype_get_attr.c\fP"
.br
.ti -1c
.RI "file \fBtype_get_contents.c\fP"
.br
.ti -1c
.RI "file \fBtype_get_envelope.c\fP"
.br
.ti -1c
.RI "file \fBtype_get_extent.c\fP"
.br
.ti -1c
.RI "file \fBtype_get_name.c\fP"
.br
.ti -1c
.RI "file \fBtype_get_true_extent.c\fP"
.br
.ti -1c
.RI "file \fBtype_hindexed.c\fP"
.br
.ti -1c
.RI "file \fBtype_hvector.c\fP"
.br
.ti -1c
.RI "file \fBtype_indexed.c\fP"
.br
.ti -1c
.RI "file \fBtype_lb.c\fP"
.br
.ti -1c
.RI "file \fBtype_match_size.c\fP"
.br
.ti -1c
.RI "file \fBtype_set_attr.c\fP"
.br
.ti -1c
.RI "file \fBtype_set_name.c\fP"
.br
.ti -1c
.RI "file \fBtype_size.c\fP"
.br
.ti -1c
.RI "file \fBtype_struct.c\fP"
.br
.ti -1c
.RI "file \fBtype_ub.c\fP"
.br
.ti -1c
.RI "file \fBtype_vector.c\fP"
.br
.ti -1c
.RI "file \fBunpack.c\fP"
.br
.ti -1c
.RI "file \fBunpack_external.c\fP"
.br
.ti -1c
.RI "file \fBunpublish_name.c\fP"
.br
.ti -1c
.RI "file \fBwait.c\fP"
.br
.ti -1c
.RI "file \fBwaitall.c\fP"
.br
.ti -1c
.RI "file \fBwaitany.c\fP"
.br
.ti -1c
.RI "file \fBwaitsome.c\fP"
.br
.ti -1c
.RI "file \fBwin_c2f.c\fP"
.br
.ti -1c
.RI "file \fBwin_call_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBwin_complete.c\fP"
.br
.ti -1c
.RI "file \fBwin_create.c\fP"
.br
.ti -1c
.RI "file \fBwin_create_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBwin_create_keyval.c\fP"
.br
.ti -1c
.RI "file \fBwin_delete_attr.c\fP"
.br
.ti -1c
.RI "file \fBwin_f2c.c\fP"
.br
.ti -1c
.RI "file \fBwin_fence.c\fP"
.br
.ti -1c
.RI "file \fBwin_free.c\fP"
.br
.ti -1c
.RI "file \fBwin_free_keyval.c\fP"
.br
.ti -1c
.RI "file \fBwin_get_attr.c\fP"
.br
.ti -1c
.RI "file \fBwin_get_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBwin_get_group.c\fP"
.br
.ti -1c
.RI "file \fBwin_get_name.c\fP"
.br
.ti -1c
.RI "file \fBwin_lock.c\fP"
.br
.ti -1c
.RI "file \fBwin_post.c\fP"
.br
.ti -1c
.RI "file \fBwin_set_attr.c\fP"
.br
.ti -1c
.RI "file \fBwin_set_errhandler.c\fP"
.br
.ti -1c
.RI "file \fBwin_set_name.c\fP"
.br
.ti -1c
.RI "file \fBwin_start.c\fP"
.br
.ti -1c
.RI "file \fBwin_test.c\fP"
.br
.ti -1c
.RI "file \fBwin_unlock.c\fP"
.br
.ti -1c
.RI "file \fBwin_wait.c\fP"
.br
.ti -1c
.RI "file \fBwtick.c\fP"
.br
.ti -1c
.RI "file \fBwtime.c\fP"
.br
.in -1c
